Page MenuHomePhabricator

Non-static method Mail_mimePart::_explodeQuotedString() should not be called statically, assuming $this from incompatible context
Closed, ResolvedPublic

Description

2014-11-16 14:17:16 mw1006 dewiki: [4bce99e4] [no req] ErrorException from line 827 of /usr/share/php/Mail/mimePart.php: Non-static method Mail_mimePart::_explodeQuotedString() should not be called statically, assuming $this from incompatible context
#0 /usr/share/php/Mail/mimePart.php(827): MWExceptionHandler::handleError(2048, 'Non-static meth...', '/usr/share/php/...', 827, Array)
#1 /usr/share/php/Mail/mime.php(1318): Mail_mimePart->encodeHeader('Message-ID', '<dewiki.5468b1e...', 'ISO-8859-1', 'quoted-printabl...', '?')
#2 /usr/share/php/Mail/mime.php(1295): Mail_mime->encodeHeader('Message-ID', '<dewiki.5468b1e...', 'ISO-8859-1', 'quoted-printabl...')
#3 /usr/share/php/Mail/mime.php(1074): Mail_mime->_encodeHeaders(Array)
#4 /srv/mediawiki/php-1.25wmf7/includes/mail/UserMailer.php(239): Mail_mime->headers(Array)
#5 /srv/mediawiki/php-1.25wmf7/extensions/Echo/includes/EmailBundler.php(251): UserMailer::send(Object(MailAddress), Object(MailAddress), 'Deine Seite wur...', Array, Object(MailAddress))
#6 /srv/mediawiki/php-1.25wmf7/extensions/Echo/includes/EmailBundler.php(227): MWEchoEmailBundler->sendEmail()
#7 /srv/mediawiki/php-1.25wmf7/extensions/Echo/jobs/NotificationEmailBundleJob.php(19): MWEchoEmailBundler->processBundleEmail()
#8 /srv/mediawiki/php-1.25wmf7/includes/jobqueue/JobRunner.php(136): MWEchoNotificationEmailBundleJob->run()
#9 /srv/mediawiki/php-1.25wmf7/maintenance/runJobs.php(80): JobRunner->run(Array)
#10 /srv/mediawiki/php-1.25wmf7/maintenance/doMaintenance.php(101): RunJobs->execute()
#11 /srv/mediawiki/php-1.25wmf7/maintenance/runJobs.php(95): require_once('/srv/mediawiki/...')
#12 /srv/mediawiki/multiversion/MWScript.php(97): require_once('/srv/mediawiki/...')
#13 {main}


Version: unspecified
Severity: normal

Details

Reference
bz73484

Event Timeline

bzimport raised the priority of this task from to Needs Triage.Nov 22 2014, 3:47 AM
bzimport added a project: MediaWiki-Email.
bzimport set Reference to bz73484.
bzimport added a subscriber: Unknown Object (MLST).
Reedy created this task.Nov 16 2014, 2:45 PM
demon set Security to None.
Aklapper triaged this task as Low priority.Mar 23 2015, 5:07 PM
Aklapper added a subscriber: Aklapper.
demon added a subscriber: demon.
demon added a comment.Jul 10 2015, 9:55 PM

It looks like this was just fixed in master in the last few weeks.

Fixed in MW by T97454 or a newer php-mail-mime package at WMF?

MaxSem closed this task as Resolved.Jun 23 2016, 10:53 PM
MaxSem claimed this task.
MaxSem added a subscriber: MaxSem.

We're now running a version up to date enough.

mmodell changed the subtype of this task from "Task" to "Production Error".Wed, Aug 28, 11:12 PM